import * as MC from "@minecraft/server";

MC.world.afterEvents.entityHurt.subscribe((eventData) => {
  let entityHurt = eventData.hurtEntity;
  let damageHurt = eventData.damageSource.damagingEntity;
  const hand = damageHurt.getComponent("minecraft:inventory").container.getItem(damageHurt.selectedSlot)
  let tdmg = Math.trunc(eventData.damage)
  if (entityHurt && hand) {
    if (hand.typeId.includes("_lumber") && hand.typeId.includes("more:")) {
      entityHurt.runCommandAsync(`tag @s add critical_axe`);
      damageHurt.runCommandAsync(`scoreboard players add @s attack_cooldown 0`);
      damageHurt.runCommandAsync(`execute as @s[scores={attack_cooldown=..0}] anchored eyes run particle more:axe_sweep ^-0.4^-0.3^1`);
      damageHurt.runCommandAsync(`execute as @s[scores={attack_cooldown=..0}] run playsound more.critical_attack @a[r=16] ~~~ 100 0.8`);
      damageHurt.runCommandAsync(`tag @e[family=inanimate] remove critical_axe`);
      damageHurt.runCommandAsync(`tag @e[tag=immortal] remove critical_axe`);
      damageHurt.runCommandAsync(`tag @e[m=c] remove critical_axe`);
      damageHurt.runCommandAsync(`execute as @s[scores={attack_cooldown=..0}] run damage @e[tag=critical_axe] ${tdmg-4} suicide entity @s`);
      damageHurt.runCommandAsync(`tag @e remove critical_axe`);
      damageHurt.runCommandAsync(`scoreboard players set @s attack_cooldown 16`);
      damageHurt.runCommandAsync(`tag @s[scores={attack_cooldown=..16}] add 16ticks`);
    }
  }
});