import {
  world,
  system
} from "@minecraft/server";

system.runInterval(() => {
  let players = Array.from(world.getPlayers());
  for (let player of players) {
    if (player.isSneaking) {
      player.addTag("is_sneaking");
    };
    if (!player.isSneaking) {
      player.removeTag("is_sneaking");
    }
  }
}, 1);