import * as MC from "@minecraft/server";

MC.world.afterEvents.entityHurt.subscribe((eventData) => {
  let entity = eventData.hurtEntity;
  const damager = eventData.damageSource.damagingEntity;
  const hand = damager.getComponent("minecraft:inventory").container.getItem(damager.selectedSlot);
  let tdmg = Math.trunc(eventData.damage)
  if (entity) {
    if (hand.typeId.includes("_scimitar") && hand.typeId.includes("more:")) {
      entity.runCommandAsync(`tag @e[r=2] add sweep_kill `);
      entity.runCommandAsync(`tag @s remove sweep_kill `);
      damager.runCommandAsync(`scoreboard players add @s attack_cooldown 0`);
      damager.runCommandAsync(`execute as @s[scores={attack_cooldown=..0}] anchored eyes run particle more:sweep ^^^0.8`);
      damager.runCommandAsync(`execute as @s[scores={attack_cooldown=..0}] run playsound more.sweep_attack @a[r=16] ~~~ 100 0.8`);
      damager.runCommandAsync(`tag @e[family=inanimate] remove sweep_kill `);
      damager.runCommandAsync(`tag @e[tag=immortal] remove sweep_kill `);
      damager.runCommandAsync(`tag @e[type=xp_orb] remove sweep_kill `);
      damager.runCommandAsync(`tag @e[type=item] remove sweep_kill `);
      damager.runCommandAsync(`tag @e[m=c] remove sweep_kill `);
      damager.runCommandAsync(`tag @s remove sweep_kill `);
      damager.runCommandAsync(`execute as @s[scores={attack_cooldown=..0}] run damage @e[tag=sweep_kill] ${tdmg-2} entity_attack entity @s`);
      damager.runCommandAsync(`tag @e remove sweep_kill`);
      damager.runCommandAsync(`scoreboard players set @s attack_cooldown 4`);
      damager.runCommandAsync(`tag @s[scores={attack_cooldown=..4}] add 4ticks`);
    }
  }
});