import {
  world as World,
  system as System
} from "@minecraft/server";

System.afterEvents.scriptEventReceive.subscribe((data) => {
  if (data.id == "more:fire_immune") {
    const entity = data.sourceEntity;
    entity.triggerEvent("minecraft:components");
    var item = entity.getComponent("item").itemStack;
    if (item.typeId.includes("netherite") && !item.typeId.includes("minecraft:")) {
      entity.addTag("fire_immunity");
    }
  }
});
import "./is_sneaking.js";
import "./criticalAxe.js";
import "./criticalLumbers.js";
import "./sweepSwords.js";
import "./sweepScimitars.js";
import "./sweepLongSwords.js";
import "./sweepScythes.js";
import "./bangHammer.js";
import "./harvest.js"